Skip to navigation

Get ServicePrincipal by ID

Beta
Get a single ServicePrincipal by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

service_principal_idstringRequired
ID of the ServicePrincipal.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional

Errors

400
Service Principal Get Request Bad Request Error
403
Service Principal Get Request Forbidden Error
404
Service Principal Get Request Not Found Error
429
Service Principal Get Request Too Many Requests Error
500
Service Principal Get Request Internal Server Error